octonet - Segnalazione #67

Base template
11/23/2016 09:40 AM - Enrico Zini

Status: Chiuso Start date: 11/23/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Fare una prima versione del template di base per octonet, con:

nome utente loggato (se loggato)
nome server corrente (se loggato)
elenco app attive (se loggato)

link al logout (se loggato)

link al login (se non loggato)

e o o o

Associated revisions

Revision 76ad4f33 - 11/23/2016 10:32 AM - Mark Caglienzi
Add font-awesome 4.7.0. refs: #67

Revision a1c71df1 - 11/23/2016 10:33 AM - Mark Caglienzi

Load font-awesome in base.html. refs: #67

Revision f6fa3ee4 - 11/23/2016 10:34 AM - Mark Caglienzi
Visually better. refs: #67

Revision £3218896 - 11/23/2016 10:40 AM - Mark Caglienzi

Add jquery 3.1.1 and remove old unversioned jquery file. refs: #67

Revision d00be9a6 - 11/23/2016 10:40 AM - Mark Caglienzi

Load new jquery versioned file. refs: #67

Revision ae662bff - 11/23/2016 10:46 AM - Mark Caglienzi

Add bootstrap 3.3.7 and remove old unversioned bootstrap files. refs: #67

Revision cdf6d9e7 - 11/23/2016 10:47 AM - Mark Caglienzi

Load bootstrap in base.html from versioned files. refs: #67

Revision 201cf5e8 - 11/23/2016 10:59 AM - Mark Caglienzi

Move the theme under bootstrap's css directory, so that the fonts are correctly found. refs: #67

Revision 585f24b0 - 11/23/2016 11:00 AM - Mark Caglienzi

Load the theme from the new position. refs: #67

Revision ccb39503 - 11/23/2016 11:36 AM - Mark Caglienzi

Add flags that work ootb with django languages (so en-us and en-gb, for instance) taken from https://www.gosquared.com/resources/flag-icons/ flat
set. refs: #67
Revision fa763993 - 11/23/2016 11:37 AM - Mark Caglienzi

Get current language and show flag. refs: #67

Revision 62502784 - 11/23/2016 11:41 AM - Mark Caglienzi

Fix the dropdown for languages. refs: #67

Revision 2082d67c - 11/23/2016 11:51 AM - Mark Caglienzi

Include i18n urls. refs: #67

Revision b98c7e87 - 11/23/2016 12:26 PM - Mark Caglienzi

Show server url with the new request.user object. refs: #67

Revision 3d854b97 - 11/23/2016 02:18 PM - Mark Caglienzi

Temporary workaround to avoid a ton of options in select and 404 in the server. refs #67 #77

Revision 1e054¢25 - 11/23/2016 02:42 PM - Mark Caglienzi

Get serverinfo data. refs: #67

Revision e35396de - 11/23/2016 02:49 PM - Mark Caglienzi

Bootstrapize the template and show apps in the right column. refs: #67

Revision 57678a3e - 11/23/2016 03:06 PM - Mark Caglienzi

Avoid navbar going over content, with some attention for mobile/narrow screens. refs: #67

Revision 12c2a344 - 11/23/2016 03:06 PM - Mark Caglienzi

Show server info. refs: #67

Revision 9f2661a3 - 11/23/2016 03:10 PM - Mark Caglienzi
Title. refs: #67

Revision d3f69546 - 11/23/2016 03:14 PM - Mark Caglienzi

Show user. refs: #67

Revision bd03f04a - 11/23/2016 03:16 PM - Mark Caglienzi

Return username in str(). refs: #67

Revision 2b1cc7d6 - 11/23/2016 03:21 PM - Mark Caglienzi

Merge branch 'master' into t67. refs: #67

Revision 613bac52 - 11/23/2016 03:49 PM - Mark Caglienzi

Every view that inherits from OctonetMixin (including the home view) has the 'logged in' check. refs: #67

Revision 7a10e01e - 11/23/2016 03:49 PM - Mark Caglienzi

Remove unused data. refs: #67

Revision df246bab - 11/24/2016 10:52 AM - Mark Caglienzi

Add rounded transparent logo (the square one were ugly in the navbar, the transparent one cannot be read) and show it in the navbar. refs: #67

Revision 0f15f9d9 - 11/24/2016 10:56 AM - Mark Caglienzi
s/plugins/apps/. refs: #67
Revision 9550241 - 11/24/2016 11:23 AM - Mark Caglienzi
Add main_url to apps. refs: #67

Revision 2960d273 - 11/24/2016 11:26 AM - Mark Caglienzi

Link to apps' main_url, if available. refs: #67

Revision 2d3fbfc9 - 11/24/2016 11:32 AM - Mark Caglienzi
Left align flags. refs: #67

Revision 4846cdd1 - 11/24/2016 11:47 AM - Mark Caglienzi

Add font_awesome_class to apps. refs: #67

Revision 2b6566ad - 11/24/2016 11:49 AM - Mark Caglienzi

Show font awesome icons for apps, defaulting to fa-question-circle when the config is empty. refs: #67

Revision e43029ff - 11/24/2016 11:50 AM - Mark Caglienzi

Use the flag from the same package for consistency. refs: #67

Revision 7843e6dc - 11/24/2016 06:19 PM - Mark Caglienzi

Add rounded transparent logo (the square one were ugly in the navbar, the transparent one cannot be read) and show it in the navbar. refs: #67

Revision c1e79059 - 11/24/2016 06:19 PM - Mark Caglienzi
s/plugins/apps/. refs: #67

Revision 15702641 - 11/24/2016 06:19 PM - Mark Caglienzi
Add main_url to apps. refs: #67

Revision 2431180 - 11/24/2016 06:19 PM - Mark Caglienzi

Link to apps' main_url, if available. refs: #67

Revision dbd39e83 - 11/24/2016 06:19 PM - Mark Caglienzi
Left align flags. refs: #67

Revision fbald1e5 - 11/24/2016 06:19 PM - Mark Caglienzi

Add font_awesome_class to apps. refs: #67

Revision 3db0b211 - 11/24/2016 06:19 PM - Mark Caglienzi

Show font awesome icons for apps, defaulting to fa-question-circle when the config is empty. refs: #67

Revision fb32e46a - 11/24/2016 06:19 PM - Mark Caglienzi

Use the flag from the same package for consistency. refs: #67

History

#1 - 11/23/2016 09:49 AM - Mark Caglienzi
- Status changed from Nuovo to In elaborazione

- Assignee set to Mark Caglienzi
#2 - 11/23/2016 03:32 PM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Enrico Zini
2b1cc7d6:

e Versionati tutti gli import di asset css e js (jquery 3.1.1, bootstrap 3.3.7, font-awesome 4.7) e integrato il tema nella directory css/ di bootstrap
(perché é li che bootstrap se lo attende).

e Quindi rimosse tutte le directory globali sotto a static/ tranne css/, che contiene il file base.css con i nostri override al css generale.

¢ Messe le immagini delle bandierine sotto a static/images/flags/, prese da https://www.gosquared.com/resources/flag-icons/ perché siano tutte
coerenti, e con supporto a locale tipo en-us/en-gb senza workaround/hack nel template.

e Aggiunto __str__ () a User perché restituisca lo username.

¢ Mergiato in master.

#3 - 11/23/2016 03:34 PM - Mark Caglienzi

PS: Il link a logout c'e quando l'utente € loggato, ma il link a login no perché col redirect del middleware non si arriva mai alla pagina di home da non
loggati.

#4 - 11/23/2016 05:09 PM - Enrico Zini

- Assignee changed from Enrico Zini to Mark Caglienzi

Alcune messe a punto:

e togliere il carrello della spesa da di fianco a octonet in alto a sinistra

¢ allineare a sinistra le bandiere nel popup della lingua in basso a destra

e rinominare "Available plugins" in "Available apps", visto che nel 2016 tutto si chiama "app"

¢ linkare le app a sinistra alla pagina iniziale di ogni app. Per sapere qual & la pagina iniziale di ogni app, puoi aggiungere agli AppConfig un
attributo main_url che contenga un link alla pagina principale dell'app.

#5 - 11/23/2016 09:29 PM - Christopher R. Gabriel

Per evidenziare la app corrente , ci si puo' ispirare a lineage, app django che usiamo anche altrove.

#6 - 11/23/2016 09:31 PM - Christopher R. Gabriel

Altra cosa: si potrebbe aggiungere alla app config la class corrisponde di font awesome per mettere una icona associata a ciascun plugin, per usarle
sia nel menu di navigazione che nella pagina principale del plugin.

Per la rimozione del carrello a nota 4, ho gia' aggiunto al repository i loghi di FUSs.

#7 - 11/24/2016 10:27 AM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#8 - 11/24/2016 11:55 AM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

€43029ff:

e Creato un logo bianco rotondo (quelli trasparenti non si leggono sulla navbar scura, e quelli bianchi quadrati sono brutti sullo scuro) e messo al
posto del carrello della spesa nella navbar
e Cambiato plugins in apps

e Aggiunto main_url alle app (se non presente, il link non viene creato)

¢ Aggiunto font_awesome_class alle app. Se non presente viene mostrato fa-question-circle perché tutto sia allineato e perché sia chiaro che c'e
qualcosa che non va.

e Allineate a sinistra le bandiere nella select delle lingue (cambiata quella inglese che era ancora quella vecchia, tonda, con quella uguale a tutte
le altre)

Mergiato in master e pushato.

PS: L'evidenziare I'app attiva lo guarderd quando ci sara la sidebar (ticket #82, su cui torno adesso)

#9 - 12/12/2016 10:36 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Ok, chiudo.
